#import <Cocoa/Cocoa.h>
#import <OnFlAppFoundation/OnFlAppFoundation.h>

@interface HTTPConnection : NSObject {
	NSFileHandle *fileHandle;
	NSMutableData* header;
	NSMutableData* body;
	NSString* http_agent;
	NSString* peer_host;
	NSString* request_url;

	id server;
	BOOL isHeader;
	BOOL isClosed;
	int head_nl;
	int expectedLength;
}
- (id) initWithFileHandle:(NSFileHandle *)fh server:(id)serv;
- (void) returnStringContent:(NSString*) str;
- (void) returnFileContent:(NSString*) path;
- (void) returnErrorMessage:(NSString*) msg;
@end
