#import <CoreData/CoreData.h>

@interface NSManagedObjectContext (NSManagedObjectContext_ext)
- (NSManagedObject*) objectWithIDString:(NSString*) strid;
- (id) firstEntity:(NSString*)name matching:(id)query;
- (BOOL) containsEntity:(NSString*)name matching:(id)query;
- (NSArray*) entities:(NSString*)name matching:(id)query;
- (NSArray*) entities:(NSString*)name matching:(id)query sortedBy:(id)sort;
- (NSManagedObject*) insertNewEntity:(NSString*) name;
- (NSManagedObject*) insertOrUpdateEntity:(NSString*) name matching:(id) qry;
- (NSInteger) deletiesEntity:(NSString*)name matching:(id)query;
@end

